//----------------------------------------------------------------------------------
// ONLY macro
//
// Exclude all lines, then find only lines that contain a particular
// text string.
//
// Parameters:
//
//    P1       - required, string to find
//    P2 - Pn  - optional, additional FIND parameters (col range, label range, etc.)
// 
//----------------------------------------------------------------------------------
void only(int argc, char *argv[]) {
 
  char *cmd;
  bool  any_error = FALSE;

  switch (argc) {

    case 0: any_error = TRUE; break;

    case 1: any_error = TRUE; break;
     
    case 2:
      cmd = StrCompose("X ALL;F ALL ",argv[1]);
      break;
     
    case 3:
      cmd = StrCompose("X ALL;F ALL ",argv[1]," ",argv[2]);
      break;
     
    case 4:
      cmd = StrCompose("X ALL;F ALL ",argv[1]," ",argv[2]," ",argv[3]);
      break;
     
    case 5:
      cmd = StrCompose("X ALL;F ALL ",argv[1]," ",argv[2]," ",argv[3]," ",argv[4]);
      break;
     
    default: any_error = TRUE; break;

  } // switch
  if (any_error) {
    Msg("ONLY macro requires at least one parameter:  P1 = string-to-find");
    }
  else {
    SPFservice("CMD", cmd);
  }

} // only
