//-------------------------------------------------------------
// This macro demonstrates the standard method of declaring and
// accessing parameters in the "main" function of a macro.
//
// Parm 1, ARGC, the count of parameters passed.
//
// Parm 2, ARGV, an array of character strings
//               argv[0] = macro`s fully qualified path name
//               argv[1] = parameter 1
//               argv[2] = parameter 2
//               ...
//               argv[argc-1] = last parameter
//
//-------------------------------------------------------------
void ShowParms(int argc, char *argv[]) {

  char *msg;
  int   i;

  i = 0;
  while (i < argc) {
    msg = StrCompose("argv[",i,"] = ",argv[i]);
    Msg(msg);
    ++i;
  } // while

} // ShowParms
