//------------------------------------------------------------------------------
// This is an example macro which shows how "commit" of a macro launched dialog
// would be handled. The dialog "user1" was launched by macro "user1.c". When
// the ENTER key is pressed (or OK button clicked), this macro receives control.
// If the dialog is cancelled via F3(END), normal SPF/SE processing resumes.
//------------------------------------------------------------------------------
void User1Commit(void) {

  char *text;
  char *choice;
  int   number;
  BOOL  boolval;

  text    = spfservice("vget","User1.TextIn");   // retrieve dialog variable
  choice  = spfservice("vget","User1.ChoiceIn"); // retrieve dialog variable
  number  = spfservice("vget","User1.NumIn");    // retrieve dialog variable
  boolval = spfservice("vget","User1.BoolIn");   // retrieve dialog variable

  msg(strcompose("Text=",text,", Number=",number,", Choice=",choice,", Bool=",boolval);

  //----------------------------------------------------------------------------
  // The following optional call causes the parent macro to be executed again
  // producing the effect of "loop until cancel". If you have a need for this
  // type of logic, un-comment the following statement. NOTE: This should be the
  // last statement in your "commit" macro.
  //----------------------------------------------------------------------------
  //spfservice("queuemacro","user1"); // queue parent macro for re-execution

}
